package pp.monopoly.client.gui;

import com.jme3.effect.ParticleMesh.Type;

import pp.monopoly.client.MonopolyApp;

/**
 * Factory class responsible for creating particle effects used in the game.
 * This centralizes the creation of various types of particle emitters.
 */
public class ParticleEffectFactory {
    private static final int COUNT_FACTOR = 1;
    private static final float COUNT_FACTOR_F = 1f;
    private static final boolean POINT_SPRITE = true;
    private static final Type EMITTER_TYPE = POINT_SPRITE ? Type.Point : Type.Triangle;
    
    private final MonopolyApp app;

    ParticleEffectFactory(MonopolyApp app) {
        this.app = app;
    }
}