////////////////////////////////////////
// Programming project code
// UniBw M, 2022, 2023, 2024
// www.unibw.de/inf2
// (c) Mark Minas (mark.minas@unibw.de)
////////////////////////////////////////

package pp.monopoly.game.server;

/**
 * Represents the different states of the Monopoly server during the game lifecycle.
 */
enum ServerState {
    /**
     * The server is waiting for clients to connect.
     */
    CREATEGAME,

    /**
     * The server is waiting for clients to set up their status to ready
     */
    LOBBY,

    /**
     * The battle of the game where players take turns
     */
    INGAME,

    /**
     * The game has ended because all the players went bankrupt
     */
    GAMEOVER
}
