package pp.monopoly.message.client;

import pp.monopoly.game.server.Player;

/**
 * Represents a request from a player to view their assets.
 */
public class ViewAssetsRequest extends ClientMessage{

    private final Player player;

    public ViewAssetsRequest(Player player) {
        this.player = player;
    }

    @Override
    public void accept(ClientInterpreter interpreter, int from) {
        interpreter.received(this, from);
    }

    public Player getPlayer() {
        return player;
    }

}