////////////////////////////////////////
// Programming project code
// UniBw M, 2022, 2023, 2024
// www.unibw.de/inf2
// (c) Mark Minas (mark.minas@unibw.de)
////////////////////////////////////////

package pp.monopoly.game.client;

import pp.monopoly.message.client.ClientMessage;

/**
 * Interface for sending messages to the server.
 */
public interface ClientSender {
    /**
     * Send the specified message to the server.
     *
     * @param message the message
     */
    void send(ClientMessage message);
}
