////////////////////////////////////////
// Programming project code
// UniBw M, 2022, 2023, 2024
// www.unibw.de/inf2
// (c) Mark Minas (mark.minas@unibw.de)
////////////////////////////////////////

package pp.monopoly.model;

/**
 * An interface for implementing the Visitor pattern for different types of elements in the Monopoly model
 * without returning any result.
 */
public interface VoidVisitor {
    /**
     * Visits a Figure element.
     *
     * @param figure the Figure element to visit
     */
    void visit(Figure figure);

}
